﻿// Keep this lines for a best effort IntelliSense of Visual Studio 2017.
/// <reference path="C:\TwinCAT\Functions\TE2000-HMI-Engineering\Infrastructure\TcHmiFramework\Latest\Lib\jquery.d.ts" />
/// <reference path="C:\TwinCAT\Functions\TE2000-HMI-Engineering\Infrastructure\TcHmiFramework\Latest\TcHmi.d.ts" />
/// <reference path="C:\TwinCAT\Functions\TE2000-HMI-Engineering\Infrastructure\TcHmiFramework\Latest\Controls\System\TcHmiControl\Source.d.ts" />

// Keep this lines for a best effort IntelliSense of Visual Studio 2013/2015.
/// <reference path="C:\TwinCAT\Functions\TE2000-HMI-Engineering\Infrastructure\TcHmiFramework\Latest\Lib\jquery\jquery.js" />
/// <reference path="C:\TwinCAT\Functions\TE2000-HMI-Engineering\Infrastructure\TcHmiFramework\Latest\TcHmi.js" />

(function (TcHmi) {

    var SetFocusInTextbox = function (TargetTextbox) {

        if (!TargetTextbox)
            return; 

        if (TargetTextbox) {

            // get jQuery Collection  
            var element = TargetTextbox.getElement();

            var textareaElem = element.find('textarea');

            // timeout for textbox focus handling
            setTimeout(function () {
                if (textareaElem.length) {
                    // multiline textbox
                    textareaElem.select();
                } else {
                    // this control has no HTMLTextareaElement but HTMLInputElement
                    var inputElem = element.find('input');

                    // select the first one
                    if (inputElem.length) {  
                        inputElem.select();
                    }
                }    
            }, 0);
        }
    };
    
    TcHmi.Functions.registerFunction('SetFocusInTextbox', SetFocusInTextbox);
})(TcHmi);